package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZUnit;
import com.ruoyi.zdsz.domain.vo.ZBuildingVo;
import com.ruoyi.zdsz.domain.vo.ZUnitVo;
import com.ruoyi.zdsz.domain.bo.ZUnitBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 单元管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZUnitService {

    /**
     * 单元下拉
     * */
    List<ZUnitVo> getUnitList(String buildingId);


    /**
     * 查询单元管理
     */
    ZUnitVo queryById(String id);

    /**
     * 查询单元管理列表
     */
    TableDataInfo<ZUnitVo> getPageList(ZUnitBo bo, PageQuery pageQuery);

    /**
     * 查询单元管理列表
     */
    List<ZUnitVo> queryList(ZUnitBo bo);

    /**
     * 新增单元管理
     */
    Boolean insertByBo(ZUnitBo bo);

    /**
     * 修改单元管理
     */
    Boolean updateByBo(ZUnitBo bo);

    /**
     * 校验并批量删除单元管理信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    int getListByUnitId(Collection<String> list);
}
